Liveness probe
Look up the Dark Pawns public HTTP API request and response contract for health checks, initial server setup, and currently active game listeners.
GET
/health
const url = 'https://example.com/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/healthReturns 200 OK while the server process is serving. Unauthenticated.
Responses
Section titled “Responses”OK
Media typeapplication/json
string
Example generated
exampledefault
Section titled “default”Error
Media typeapplication/problem+json
object
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}